/* REXX */

/*
 * EPAD. This file was originally created by Konstantin Kozlov
 * with Project Smarts on 6 Mar 2007.
 */

   /*  REXX - EPAD install script                        */
   /*  Installs EPAD's DLL                               */

   Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs';
   Call SysLoadFuncs;

   /* Check current directory */
   curdir = directory();

   /* Check system drive */
   If \Rxfuncquery('SysBootDrive') Then
      system_drive = SysBootDrive()
   else
   do
      system_drive=FileSpec('Drive',Value('SYSTEM_INI',,'OS2ENVIRONMENT'))
      if system_drive = '' then
      do
         errmsg='Can not detect system drive. Please update REXXUTIL.DLL.'
         signal error
      end
   end

   PARSE ARG ARGUMENTS
   PARSE VALUE ARGUMENTS WITH FILE_NAME THE_REST

   PARSE VALUE FILE_NAME WITH '"' FILE_NAME1 '"' XXX

   IF FILE_NAME1<>'' THEN
      FILE_NAME=FILE_NAME1

   IF FILE_NAME='' THEN
   DO
      SAY 'Usage:'
      SAY 'BACKUP.CMD file_name [OBJECT_ID]'
      SAY 'If OBJECT_ID omitted, "<PIANOPAD>" used by default.'
      SAY 'Example:'
      SAY 'BACKUP.CMD c:\pianopad.sav "<PIANOPAD>"'
      EXIT
   END

   PARSE VALUE THE_REST WITH OBJECT_ID THE_REST
   PARSE VALUE OBJECT_ID WITH '"' OBJECT_ID1 '"' XXX

   IF OBJECT_ID1<>'' THEN
      OBJECT_ID=OBJECT_ID1

   IF OBJECT_ID='' THEN
      OBJECT_ID='<PIANOPAD>'

   SAY 'FILE NAME: '||FILE_NAME
   SAY 'OBJECT ID: '||OBJECT_ID

   IF SUBSTR(FILE_NAME, 2, 1)<>':' THEN
      IF LEFT(FILE_NAME, 1)='\' | LEFT(FILE_NAME, 1)='/' THEN
         FILE_NAME=LEFT(curdir, 2)||FILE_NAME
      ELSE
         FILE_NAME=curdir||'\'||FILE_NAME
   SAY 'FULL FILE NAME: '||FILE_NAME

   say 'Saving object data...'
   rc=SysSetObjectData(OBJECT_ID,"EPSAVE="||FILE_NAME||";") /* Save PianoPad's settings and content */
   if rc THEN
      SAY 'Successfuly!'
   else
      SAY 'Failed!'
Exit;
